package com.muyu.enterprise.cache.fence;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.CarFence;
import com.muyu.domain.CarInformation;
import com.muyu.domain.resp.CarFenceResp;

import java.util.List;

/**
 * 电子围栏缓存
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheFenceService extends CacheAbsBasic<String, CarFenceResp> {
    @Override
    public String keyPre() {
        return "CarFenceResp:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
